Subject: Re: bug#37422: Setting keyboard layout with SLiM login manager doesn't work

From: Jan Wielkiewicz <[email-masked]>
Date: Sat, 28 Sep 2019 13:22:27 +0200

On Sat, 28 Sep 2019 09:35:52 +0200
Wiktor elazny <[email-masked]> wrote:

> My wild guess at it would be:
> 
> diff --git a/config.scm b/config.scm
> index 83044a1..1c07417 100644
> --- a/config.scm
> +++ b/config.scm
> @@ -15,8 +15,7 @@
>           ;;  (xorg-configuration
>           ;;   (keyboard-layout keyboard-layout))
>           ;;  slim-service-type))
> -         )
> 
>     (remove (lambda (service)
>               (eq? (service-kind service) gdm-service-type))
> -           %desktop-services))))
> +           %desktop-services)))))
> 
> W

I can't really remove it - notice I'm using append and two
lists instead of cons* - the remove procedure returns a list of services
without GDM and removing the parenthesis would make a nested list
inside the list of services "operating-system" accepts.

I've just replaced append+list with cons* just for testing purposes and
it still doesn't work, the same result.

But trying another solution have helped:

I replaced (keyboard-layout (keyboard-layout ...)) in slim-configuration
with (keyboard-layout keyboard-layout).
Thanks for helping me.

set-xorg-configuration doesn't work with slim though, would be nice if
someone fixed it and the fact (keyboard-layout (keyboard-layout "pl,cz"
"legacy,ucw")) works on your machine, but not on mine is strange.

Jan Wielkiewicz